For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API GuideAPI ReferenceChangelog
API GuideAPI ReferenceChangelog
  • API Reference
      • API Integration
        • Legacy APIs
            • POSTMake a Payment
            • GETReview Payments
            • GETView a Payment
  • Webhook Reference
LogoLogo
API ReferenceCustomersAPI IntegrationLegacy APIsLegacy Payments

View a Payment

GET
/v1/customers/:customer_id/payments/:payment_id
GET
/v1/customers/:customer_id/payments/:payment_id
$curl https://sandbox.currenciesdirect.com/v1/customers/cust_123456789/payments/2908362 \
> -H "Authorization: Bearer <token>"
1{
2 "payment_id": "2908362",
3 "instruction_number": "0202000005923566-000000011",
4 "currency_code": "string",
5 "amount": 51749.42,
6 "recipient_details": {
7 "recipient_id": 1687917,
8 "recipient_name": "Bob Nighy",
9 "country_code": "GBR"
10 },
11 "status": "AWAITINGBANKAPPROVAL",
12 "payment_reference": "saving 225",
13 "created_datetime": "2019-01-24T12:38:46Z",
14 "payment_date": "2019-01-24",
15 "client_reference_id": "987564823645"
16}
<Warning> **Deprecated**: This endpoint is deprecated. Please use [Get Payment Details](/api-reference/customers/api-integration/payments/get-payment-details) (v3) instead. </Warning> View a Single Payment. **Authentication:** [Bearer token required](/api-guide/getting-started/authentication#oauth-20-authentication)
Was this page helpful?
Previous

List payment sessions

Next
Built with

Deprecated: This endpoint is deprecated. Please use Get Payment Details (v3) instead.

View a Single Payment.

Authentication: Bearer token required

Authentication

AuthorizationBearer

OAuth 2.0 Bearer token authentication. This API uses OAuth 2.0 Client Credentials flow. Please refer to the Authentication section for detailed information on how to obtain and use your OAuth credentials.

Path parameters

customer_idstringRequired
Unique Customer Identifier
payment_idstringRequired
Unique Payment Identifier

Response

Ok. The response will contain details of the requested Payment Instruction.
payment_idstring
Payment ID
instruction_numberstring

Unique client reference to identify this conversion in future. The format will be {customerId}-{sequenceNumber}

currency_codestring

Recipient’s Currency Code.

Reference: ISO 4217

amountdouble
Amount being debited.
recipient_detailsobject
statusstring
Status of this payment.
payment_referencestring
Description to appear on the Recipient's bank statement.
created_datetimedatetime
Timestamp of the payment
payment_datedate
Date when the payment was completed.
client_reference_idstring
Unique reference id that you assigned to this payment for your own purposes.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error